Package org.eclipse.e4.ui.css.core.impl.sac

# Class CSSPseudoClassConditionImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.sac.AbstractAttributeCondition
org.eclipse.e4.ui.css.core.impl.sac.CSSPseudoClassConditionImpl

All Implemented Interfaces:
  `ExtendedCondition`, `org.w3c.css.sac.AttributeCondition`, `org.w3c.css.sac.Condition`

public class CSSPseudoClassConditionImpl extends AbstractAttributeCondition
This class provides an implementation of the `AttributeCondition` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`namespaceURI`
The namespaceURI.

### Fields inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractAttributeCondition

`value`

### Fields inherited from interface org.w3c.css.sac.Condition

`SAC_AND_CONDITION, SAC_ATTRIBUTE_CONDITION, SAC_BEGIN_HYPHEN_ATTRIBUTE_CONDITION, SAC_CLASS_CONDITION, SAC_CONTENT_CONDITION, SAC_ID_CONDITION, SAC_LANG_CONDITION, SAC_NEGATIVE_CONDITION, SAC_ONE_OF_ATTRIBUTE_CONDITION, SAC_ONLY_CHILD_CONDITION, SAC_ONLY_TYPE_CONDITION, SAC_OR_CONDITION, SAC_POSITIONAL_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

## Constructor Summary

Constructors
Constructor
Description
`CSSPseudoClassConditionImpl(String namespaceURI, String value)`
Creates a new CSSAttributeCondition object.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`void`
`fillAttributeSet(Set<String> attrSet)`
Fills the given set with the attribute names found in this selector.
`short`
`getConditionType()`
SAC: Implements `Condition.getConditionType()`.
`String`
`getLocalName()`
SAC: Implements `AttributeCondition.getLocalName()`.
`String`
`getNamespaceURI()`
SAC: Implements `AttributeCondition.getNamespaceURI()`.
`boolean`
`getSpecified()`
SAC: Implements `AttributeCondition.getSpecified()`.
`int`
`hashCode()`
equal objects should have equal hashCodes.
`boolean`
`match(Element e, String pseudoE)`
Tests whether this selector matches the given element.
`String`
`toString()`
Returns a text representation of this object.

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.sac.AbstractAttributeCondition

`getSpecificity, getValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### namespaceURI

protected String namespaceURI
The namespaceURI.

## Constructor Details

### CSSPseudoClassConditionImpl

public CSSPseudoClassConditionImpl(String namespaceURI, String value)
Creates a new CSSAttributeCondition object.

## Method Details

### equals

public boolean equals(Object obj)
Indicates whether some other object is "equal to" this one.

Overrides:
  `equals` in class `AbstractAttributeCondition`
Parameters:
  `obj` - the reference object with which to compare.

### hashCode

public int hashCode()
equal objects should have equal hashCodes.

Overrides:
  `hashCode` in class `AbstractAttributeCondition`
Returns:
  hashCode of this CSSPseudoClassCondition

### getConditionType

public short getConditionType()
SAC: Implements `Condition.getConditionType()`.

### getNamespaceURI

public String getNamespaceURI()
SAC: Implements `AttributeCondition.getNamespaceURI()`.

### getLocalName

public String getLocalName()
SAC: Implements `AttributeCondition.getLocalName()`.

### getSpecified

public boolean getSpecified()
SAC: Implements `AttributeCondition.getSpecified()`.

### match

public boolean match(Element e, String pseudoE)
Tests whether this selector matches the given element.

### fillAttributeSet

public void fillAttributeSet(Set<String> attrSet)
Fills the given set with the attribute names found in this selector.

### toString

public String toString()
Returns a text representation of this object.

Overrides:
  `toString` in class `Object`